Package org.drinkless.tdlib

# Class TdApi.DeleteSavedMessagesTopicMessagesByDate

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.DeleteSavedMessagesTopicMessagesByDate

Enclosing class:
  `TdApi`

public static class TdApi.DeleteSavedMessagesTopicMessagesByDate extends TdApi.Function<TdApi.Ok>
Deletes all messages between the specified dates in a Saved Messages topic. Messages sent in the last 30 seconds will not be deleted.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `maxDate`
  The maximum date of the messages to delete.
  `int`
  `minDate`
  The minimum date of the messages to delete.
  `long`
  `savedMessagesTopicId`
  Identifier of Saved Messages topic which messages will be deleted.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeleteSavedMessagesTopicMessagesByDate()`
  Default constructor for a function, which deletes all messages between the specified dates in a Saved Messages topic.
  `DeleteSavedMessagesTopicMessagesByDate(long savedMessagesTopicId, int minDate, int maxDate)`
  Creates a function, which deletes all messages between the specified dates in a Saved Messages topic.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### savedMessagesTopicId

    public long savedMessagesTopicId
    Identifier of Saved Messages topic which messages will be deleted.

  - ### minDate

    public int minDate
    The minimum date of the messages to delete.

  - ### maxDate

    public int maxDate
    The maximum date of the messages to delete.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DeleteSavedMessagesTopicMessagesByDate

    public DeleteSavedMessagesTopicMessagesByDate()
    Default constructor for a function, which deletes all messages between the specified dates in a Saved Messages topic. Messages sent in the last 30 seconds will not be deleted.

    Returns `Ok`

  - ### DeleteSavedMessagesTopicMessagesByDate

    public DeleteSavedMessagesTopicMessagesByDate(long savedMessagesTopicId, int minDate, int maxDate)
    Creates a function, which deletes all messages between the specified dates in a Saved Messages topic. Messages sent in the last 30 seconds will not be deleted.

    Returns `Ok`

    Parameters:
      `savedMessagesTopicId` - Identifier of Saved Messages topic which messages will be deleted.
      `minDate` - The minimum date of the messages to delete.
      `maxDate` - The maximum date of the messages to delete.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR